Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class QuadCurve2D.Float

    java.lang.Object
      java.awt.geom.QuadCurve2D
          java.awt.geom.QuadCurve2D.Float

All Implemented Interfaces:
  Shape, Cloneable

Enclosing class:
  QuadCurve2D

    public static class QuadCurve2D.Float

extends QuadCurve2D

A quadratic parametric curve segment specified with `float` coordinates.

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.QuadCurve2D
`QuadCurve2D.Double, QuadCurve2D.Float`

Field Summary
`float` | `ctrlx` The x coordinate of the control point of the quadratic curve segment.
`float` | `ctrly` The y coordinate of the control point of the quadratic curve segment.
`float` | `x1` The x coordinate of the start point of the quadratic curve segment.
`float` | `x2` The x coordinate of the end point of the quadratic curve segment.
`float` | `y1` The y coordinate of the start point of the quadratic curve segment.
`float` | `y2` The y coordinate of the end point of the quadratic curve segment.

Constructor Summary
`QuadCurve2D.Float()` Constructs and initializes a `QuadCurve2D` with coordinates (0, 0, 0, 0, 0, 0).
`QuadCurve2D.Float(float x1, float y1, float ctrlx, float ctrly, float x2, float y2)` Constructs and initializes a `QuadCurve2D` from the specified coordinates.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounding box of this `QuadCurve2D`.
`Point2D` | `getCtrlPt()` Returns the control point.
`double` | `getCtrlX()` Returns the x coordinate of the control point in `double` precision.
`double` | `getCtrlY()` Returns the y coordinate of the control point in `double` precision.
`Point2D` | `getP1()` Returns the start point.
`Point2D` | `getP2()` Returns the end point.
`double` | `getX1()` Returns the x coordinate of the start point in `double` precision.
`double` | `getX2()` Returns the x coordinate of the end point in `double` precision.
`double` | `getY1()` Returns the y coordinate of the start point in `double` precision.
`double` | `getY2()` Returns the y coordinate of the end point in `double` precision.
`void` | `setCurve(double x1, double y1, double ctrlx, double ctrly, double x2, double y2)` Sets the location of the endpoints and controlpoint of this `QuadCurve2D` to the specified `double` coordinates.
`void` | `setCurve(float x1, float y1, float ctrlx, float ctrly, float x2, float y2)` Sets the location of the endpoints and controlpoint of this curve to the specified `float` coordinates.

Methods inherited from class java.awt.geom.QuadCurve2D
`clone, contains, contains, contains, contains, getBounds, getFlatness, getFlatness, getFlatness, getFlatnessSq, getFlatnessSq, getFlatnessSq, getPathIterator, getPathIterator, intersects, intersects, setCurve, setCurve, setCurve, setCurve, solveQuadratic, solveQuadratic, subdivide, subdivide, subdivide`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x1

    public float x1

  The x coordinate of the start point of the quadratic curve segment.

### y1

    public float y1

  The y coordinate of the start point of the quadratic curve segment.

### ctrlx

    public float ctrlx

  The x coordinate of the control point of the quadratic curve segment.

### ctrly

    public float ctrly

  The y coordinate of the control point of the quadratic curve segment.

### x2

    public float x2

  The x coordinate of the end point of the quadratic curve segment.

### y2

    public float y2

  The y coordinate of the end point of the quadratic curve segment.

Constructor Detail

### QuadCurve2D.Float

    public QuadCurve2D.Float()

  Constructs and initializes a `QuadCurve2D` with coordinates (0, 0, 0, 0, 0, 0).

### QuadCurve2D.Float

    public QuadCurve2D.Float(float x1,
                             float y1,
                             float ctrlx,
                             float ctrly,
                             float x2,
                             float y2)

  Constructs and initializes a `QuadCurve2D` from the specified coordinates.

  Parameters:
    `x1, y1` - the starting point coordinates
    `ctrlx, ctrly` - the coordinates of the control point
    `x2, y2` - the ending point coordinates

Method Detail

### getX1

    public double getX1()

  Returns the x coordinate of the start point in `double` precision.

  Specified by:
    `getX1` in class `QuadCurve2D`
  Returns:
    the x coordinate of the starting point.

### getY1

    public double getY1()

  Returns the y coordinate of the start point in `double` precision.

  Specified by:
    `getY1` in class `QuadCurve2D`
  Returns:
    the y coordinate of the starting point.

### getP1

    public Point2D getP1()

  Returns the start point.

  Specified by:
    `getP1` in class `QuadCurve2D`
  Returns:
    a `Point2D` object that is the starting point of this `QuadCurve2D`.

### getCtrlX

    public double getCtrlX()

  Returns the x coordinate of the control point in `double` precision.

  Specified by:
    `getCtrlX` in class `QuadCurve2D`
  Returns:
    the x coordinate of the control point.

### getCtrlY

    public double getCtrlY()

  Returns the y coordinate of the control point in `double` precision.

  Specified by:
    `getCtrlY` in class `QuadCurve2D`
  Returns:
    the y coordiante of the control point.

### getCtrlPt

    public Point2D getCtrlPt()

  Returns the control point.

  Specified by:
    `getCtrlPt` in class `QuadCurve2D`
  Returns:
    a `Point2D` that is the control point of this `QuadCurve2D`.

### getX2

    public double getX2()

  Returns the x coordinate of the end point in `double` precision.

  Specified by:
    `getX2` in class `QuadCurve2D`
  Returns:
    the x coordinate of the end point.

### getY2

    public double getY2()

  Returns the y coordinate of the end point in `double` precision.

  Specified by:
    `getY2` in class `QuadCurve2D`
  Returns:
    the y coordiante of the end point.

### getP2

    public Point2D getP2()

  Returns the end point.

  Specified by:
    `getP2` in class `QuadCurve2D`
  Returns:
    a `Point2D` that is the end point of this `QuadCurve2D`.

### setCurve

    public void setCurve(double x1,
                         double y1,
                         double ctrlx,
                         double ctrly,
                         double x2,
                         double y2)

  Sets the location of the endpoints and controlpoint of this `QuadCurve2D` to the specified `double` coordinates.

  Specified by:
    `setCurve` in class `QuadCurve2D`
  Parameters:
    `x1, y1` - the coordinates of the starting point
    `ctrlx, ctrly` - the coordinates of the control point
    `x2, y2` - the coordinates of the ending point

### setCurve

    public void setCurve(float x1,
                         float y1,
                         float ctrlx,
                         float ctrly,
                         float x2,
                         float y2)

  Sets the location of the endpoints and controlpoint of this curve to the specified `float` coordinates.

  Parameters:
    `x1, y1` - the coordinates of the starting point
    `ctrlx, ctrly` - the coordinates of the control point
    `x2, y2` - the coordinates of the ending point

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounding box of this `QuadCurve2D`.

  Returns:
    a `Rectangle2D` that is the bounding box of the shape of this `QuadCurve2D`.
  See Also:
    `Shape.getBounds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.